Package ru.bitel.bgbilling.plugins.fias.common.bean.bgbean

# Class House

java.lang.Object
ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House

    public class House
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `House()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAoguid()` | Возвращает guid записи родительского объекта.
  `java.lang.String` | `getBgFrac()` | Возвращает дробь дома в биллинге.
  `java.lang.String` | `getBgHousenum()` | Возвращает номер дома в биллинге.
  `java.lang.String` | `getBGTitle()` |
  `java.lang.String` | `getBuildnum()` | Возвращает номер строения ФИАС.
  `java.lang.String` | `getEststatus()` | Возвращает признак владения.
  `java.lang.String` | `getFiasiTitle()` |
  `java.lang.String` | `getHouseguid()` | Возвращает guid дома.
  `java.lang.String` | `getHousenum()` | Возвращает номер дома ФИАС.
  `int` | `getId()` | Возвращает id дома в билинге.
  `java.lang.String` | `getPostalcode()` |
  `int` | `getStreetId()` | Возвращает id улицы.
  `java.lang.String` | `getStreetTitle()` | Возвращает название улицы.
  `java.lang.String` | `getStrstatus()` | Возвращает признак строения.
  `java.lang.String` | `getStrucnum()` | Возвращает номер корпуса ФИАС.
  `void` | `setAoguid​(java.lang.String aoguid)` | Устанавливает guid записи родительского объекта.
  `void` | `setBgFrac​(java.lang.String bgFrac)` | Устанавливает дробь дома в биллинге.
  `void` | `setBgHousenum​(java.lang.String bgHousenum)` | Устанавливает номер дома в биллинге.
  `void` | `setBuildnum​(java.lang.String buildnum)` | Устанавливает номер строения ФИАС.
  `void` | `setEststatus​(java.lang.String eststatus)` | Устанавливает признак владения.
  `void` | `setHouse​(House house)` |
  `void` | `setHouseguid​(java.lang.String houseguid)` | Устанавливает guid дома.
  `void` | `setHousenum​(java.lang.String housenum)` | Устанавливает номер дома ФИАС.
  `void` | `setId​(int id)` | Устанавливает id дома в билинге.
  `void` | `setPostalcode​(java.lang.String postalcode)` |
  `void` | `setStreetId​(int streetId)` | Устанавливает id улицы.
  `void` | `setStreetTitle​(java.lang.String streetTitle)` | Устанавливает название улицы.
  `void` | `setStrstatus​(java.lang.String strstatus)` | Устанавливает признак строения.
  `void` | `setStrucnum​(java.lang.String structnum)` | Устанавливает номер корпуса ФИАС.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### House

    public House()

- ## Method Details

  - ### getId

    public int getId()
    Возвращает id дома в билинге.
    Returns:
      - id дома в билинге

  - ### setId

    public void setId​(int id)
    Устанавливает id дома в билинге.
    Parameters:
      `id` - - new id дома в билинге

  - ### getAoguid

    public java.lang.String getAoguid()
    Возвращает guid записи родительского объекта.
    Returns:
      - guid записи родительского объекта

  - ### setAoguid

    public void setAoguid​(java.lang.String aoguid)
    Устанавливает guid записи родительского объекта.
    Parameters:
      `aoguid` - - new guid записи родительского объекта

  - ### getHouseguid

    public java.lang.String getHouseguid()
    Возвращает guid дома.
    Returns:
      - guid дома

  - ### setHouseguid

    public void setHouseguid​(java.lang.String houseguid)
    Устанавливает guid дома.
    Parameters:
      `houseguid` - - new guid дома

  - ### getHousenum

    public java.lang.String getHousenum()
    Возвращает номер дома ФИАС.
    Returns:
      - номер дома ФИАС

  - ### setHousenum

    public void setHousenum​(java.lang.String housenum)
    Устанавливает номер дома ФИАС.
    Parameters:
      `housenum` - - new номер дома ФИАС

  - ### getBuildnum

    public java.lang.String getBuildnum()
    Возвращает номер строения ФИАС.
    Returns:
      - номер строения ФИАС

  - ### setBuildnum

    public void setBuildnum​(java.lang.String buildnum)
    Устанавливает номер строения ФИАС.
    Parameters:
      `buildnum` - - new номер строения ФИАС

  - ### getStrucnum

    public java.lang.String getStrucnum()
    Возвращает номер корпуса ФИАС.
    Returns:
      - номер корпуса ФИАС

  - ### setStrucnum

    public void setStrucnum​(java.lang.String structnum)
    Устанавливает номер корпуса ФИАС.
    Parameters:
      `structnum` - - new номер корпуса ФИАС

  - ### getStreetId

    public int getStreetId()
    Возвращает id улицы.
    Returns:
      - id улицы

  - ### setStreetId

    public void setStreetId​(int streetId)
    Устанавливает id улицы.
    Parameters:
      `streetId` - - new id улицы

  - ### setHouse

    public void setHouse​(House house)

  - ### getBgHousenum

    public java.lang.String getBgHousenum()
    Возвращает номер дома в биллинге.
    Returns:
      - номер дома в биллинге

  - ### setBgHousenum

    public void setBgHousenum​(java.lang.String bgHousenum)
    Устанавливает номер дома в биллинге.
    Parameters:
      `bgHousenum` - - new номер дома в биллинге

  - ### getBgFrac

    public java.lang.String getBgFrac()
    Возвращает дробь дома в биллинге.
    Returns:
      - дробь дома в биллинге

  - ### setBgFrac

    public void setBgFrac​(java.lang.String bgFrac)
    Устанавливает дробь дома в биллинге.
    Parameters:
      `bgFrac` - - new дробь дома в биллинге

  - ### getBGTitle

    public java.lang.String getBGTitle()

  - ### getFiasiTitle

    public java.lang.String getFiasiTitle()

  - ### getStreetTitle

    public java.lang.String getStreetTitle()
    Возвращает название улицы.
    Returns:
      - название улицы

  - ### setStreetTitle

    public void setStreetTitle​(java.lang.String streetTitle)
    Устанавливает название улицы.
    Parameters:
      `streetTitle` - - new название улицы

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getEststatus

    public java.lang.String getEststatus()
    Возвращает признак владения.
    Returns:
      признак владения

  - ### setEststatus

    public void setEststatus​(java.lang.String eststatus)
    Устанавливает признак владения.
    Parameters:
      `eststatus` - - new признак владения

  - ### getStrstatus

    public java.lang.String getStrstatus()
    Возвращает признак строения.
    Returns:
      - признак строения

  - ### setStrstatus

    public void setStrstatus​(java.lang.String strstatus)
    Устанавливает признак строения.
    Parameters:
      `strstatus` - - new признак строения

  - ### getPostalcode

    public java.lang.String getPostalcode()

  - ### setPostalcode

    public void setPostalcode​(java.lang.String postalcode)